Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.servlets
Class GenAdmin

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.macromedia.generator.servlets.GenAdmin

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class GenAdmin
extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`(package private) int` | `_fld01C0`
`(package private) long` | `_fld01C1`
`(package private) long` | `_fld01C2`
`(package private) long` | `_fld01C3`
`(package private) long` | `_fld01C4`
`(package private) int` | `_fld01C5`
`(package private) long` | `_fld01C6`
`(package private) long` | `_fld01C7`
`(package private) long` | `_fld01C8`
`(package private) long` | `_fld01C9`
`(package private) int` | `_fld01CA`
`(package private) long` | `_fld01CB`
`(package private) long` | `_fld01CC`
`(package private) long` | `_fld01CD`
`(package private) long` | `_fld01CE`
`(package private) int` | `_fld01CF`
`(package private) long` | `_fld01D0`
`(package private) long` | `_fld01D1`
`(package private) long` | `_fld01D2`
`(package private) long` | `_fld01D3`
`(package private) int` | `_fld01D4`
`(package private) long` | `_fld01D5`
`(package private) long` | `_fld01D6`
`(package private) long` | `_fld01D7`
`(package private) long` | `_fld01D8`
`(package private) int` | `_fld01D9`
`(package private) long` | `_fld01DA`
`(package private) long` | `_fld01DB`
`(package private) long` | `_fld01DC`
`(package private) long` | `_fld01DD`
`(package private) java.util.Random` | `_fld026F`
`static java.lang.String` | `kReportDebug`
`static java.lang.String` | `kReportKey`
`static java.lang.String` | `PROP_CUR_JOB_COUNT`
`static java.lang.String` | `PROP_DISABLE_REQUESTS`
`static java.lang.String` | `PROP_EXTERNAL_FONT_PATH`
`static java.lang.String` | `PROP_FLUSH_CACHES`
`static java.lang.String` | `PROP_GIF_AVG_SIZE`
`static java.lang.String` | `PROP_GIF_AVG_TIME`
`static java.lang.String` | `PROP_GIF_CNT`
`static java.lang.String` | `PROP_GIF_MAX_SIZE`
`static java.lang.String` | `PROP_GIF_MAX_TIME`
`static java.lang.String` | `PROP_JPG_AVG_SIZE`
`static java.lang.String` | `PROP_JPG_AVG_TIME`
`static java.lang.String` | `PROP_JPG_CNT`
`static java.lang.String` | `PROP_JPG_MAX_SIZE`
`static java.lang.String` | `PROP_JPG_MAX_TIME`
`static java.lang.String` | `PROP_LOG_HIT_COUNTS`
`static java.lang.String` | `PROP_LOG_STATS`
`static java.lang.String` | `PROP_LOGGING_LEVEL`
`static java.lang.String` | `PROP_MAX_THREADS`
`static java.lang.String` | `PROP_PNG_AVG_SIZE`
`static java.lang.String` | `PROP_PNG_AVG_TIME`
`static java.lang.String` | `PROP_PNG_CNT`
`static java.lang.String` | `PROP_PNG_MAX_SIZE`
`static java.lang.String` | `PROP_PNG_MAX_TIME`
`static java.lang.String` | `PROP_PROPERTIES_PATH`
`static java.lang.String` | `PROP_QTM_AVG_SIZE`
`static java.lang.String` | `PROP_QTM_AVG_TIME`
`static java.lang.String` | `PROP_QTM_CNT`
`static java.lang.String` | `PROP_QTM_MAX_SIZE`
`static java.lang.String` | `PROP_QTM_MAX_TIME`
`static java.lang.String` | `PROP_SERIAL`
`static java.lang.String` | `PROP_SERVER_NUMBER`
`static java.lang.String` | `PROP_STARTUP_TIME`
`static java.lang.String` | `PROP_SWF_AVG_SIZE`
`static java.lang.String` | `PROP_SWF_AVG_TIME`
`static java.lang.String` | `PROP_SWF_CNT`
`static java.lang.String` | `PROP_SWF_MAX_SIZE`
`static java.lang.String` | `PROP_SWF_MAX_TIME`
`static java.lang.String` | `PROP_THREAD_COUNT`
`static java.lang.String` | `PROP_TIMEOUT`
`static java.lang.String` | `TEMPLATE_LOGON`
`static java.lang.String` | `TEMPLATE_LOGON_PROXY`
`static java.lang.String` | `TEMPLATE_MESSAGE`
`static java.lang.String` | `TEMPLATE_MESSAGE_PROXY`
`static java.lang.String` | `TEMPLATE_SERVICE`
`static java.lang.String` | `TEMPLATE_SERVICE_PROXY`

Constructor Summary
`GenAdmin()`

Method Summary
`void` | `destroy()`
`void` | `doGet(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`long` | `getLastModified(javax.servlet.http.HttpServletRequest httpservletrequest)`
`void` | `init(javax.servlet.ServletConfig servletconfig)`

Methods inherited from class javax.servlet.http.HttpServlet
`, doDelete, doOptions, doPost, doPut, doTrace, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_LOGON

    public static final java.lang.String TEMPLATE_LOGON

### TEMPLATE_MESSAGE

    public static final java.lang.String TEMPLATE_MESSAGE

### TEMPLATE_SERVICE

    public static final java.lang.String TEMPLATE_SERVICE

### TEMPLATE_LOGON_PROXY

    public static final java.lang.String TEMPLATE_LOGON_PROXY

### TEMPLATE_MESSAGE_PROXY

    public static final java.lang.String TEMPLATE_MESSAGE_PROXY

### TEMPLATE_SERVICE_PROXY

    public static final java.lang.String TEMPLATE_SERVICE_PROXY

### _fld01C0

    int _fld01C0

### _fld01C1

    long _fld01C1

### _fld01C2

    long _fld01C2

### _fld01C3

    long _fld01C3

### _fld01C4

    long _fld01C4

### _fld01C5

    int _fld01C5

### _fld01C6

    long _fld01C6

### _fld01C7

    long _fld01C7

### _fld01C8

    long _fld01C8

### _fld01C9

    long _fld01C9

### _fld01CA

    int _fld01CA

### _fld01CB

    long _fld01CB

### _fld01CC

    long _fld01CC

### _fld01CD

    long _fld01CD

### _fld01CE

    long _fld01CE

### _fld01CF

    int _fld01CF

### _fld01D0

    long _fld01D0

### _fld01D1

    long _fld01D1

### _fld01D2

    long _fld01D2

### _fld01D3

    long _fld01D3

### _fld01D4

    int _fld01D4

### _fld01D5

    long _fld01D5

### _fld01D6

    long _fld01D6

### _fld01D7

    long _fld01D7

### _fld01D8

    long _fld01D8

### _fld01D9

    int _fld01D9

### _fld01DA

    long _fld01DA

### _fld01DB

    long _fld01DB

### _fld01DC

    long _fld01DC

### _fld01DD

    long _fld01DD

### PROP_LOG_HIT_COUNTS

    public static final java.lang.String PROP_LOG_HIT_COUNTS

### PROP_FLUSH_CACHES

    public static final java.lang.String PROP_FLUSH_CACHES

### PROP_LOGGING_LEVEL

    public static final java.lang.String PROP_LOGGING_LEVEL

### PROP_EXTERNAL_FONT_PATH

    public static final java.lang.String PROP_EXTERNAL_FONT_PATH

### PROP_PROPERTIES_PATH

    public static final java.lang.String PROP_PROPERTIES_PATH

### PROP_SERIAL

    public static final java.lang.String PROP_SERIAL

### PROP_SERVER_NUMBER

    public static final java.lang.String PROP_SERVER_NUMBER

### PROP_STARTUP_TIME

    public static final java.lang.String PROP_STARTUP_TIME

### PROP_LOG_STATS

    public static final java.lang.String PROP_LOG_STATS

### PROP_SWF_CNT

    public static final java.lang.String PROP_SWF_CNT

### PROP_SWF_AVG_SIZE

    public static final java.lang.String PROP_SWF_AVG_SIZE

### PROP_SWF_AVG_TIME

    public static final java.lang.String PROP_SWF_AVG_TIME

### PROP_SWF_MAX_SIZE

    public static final java.lang.String PROP_SWF_MAX_SIZE

### PROP_SWF_MAX_TIME

    public static final java.lang.String PROP_SWF_MAX_TIME

### PROP_GIF_CNT

    public static final java.lang.String PROP_GIF_CNT

### PROP_GIF_AVG_SIZE

    public static final java.lang.String PROP_GIF_AVG_SIZE

### PROP_GIF_AVG_TIME

    public static final java.lang.String PROP_GIF_AVG_TIME

### PROP_GIF_MAX_SIZE

    public static final java.lang.String PROP_GIF_MAX_SIZE

### PROP_GIF_MAX_TIME

    public static final java.lang.String PROP_GIF_MAX_TIME

### PROP_JPG_CNT

    public static final java.lang.String PROP_JPG_CNT

### PROP_JPG_AVG_SIZE

    public static final java.lang.String PROP_JPG_AVG_SIZE

### PROP_JPG_AVG_TIME

    public static final java.lang.String PROP_JPG_AVG_TIME

### PROP_JPG_MAX_SIZE

    public static final java.lang.String PROP_JPG_MAX_SIZE

### PROP_JPG_MAX_TIME

    public static final java.lang.String PROP_JPG_MAX_TIME

### PROP_PNG_CNT

    public static final java.lang.String PROP_PNG_CNT

### PROP_PNG_AVG_SIZE

    public static final java.lang.String PROP_PNG_AVG_SIZE

### PROP_PNG_AVG_TIME

    public static final java.lang.String PROP_PNG_AVG_TIME

### PROP_PNG_MAX_SIZE

    public static final java.lang.String PROP_PNG_MAX_SIZE

### PROP_PNG_MAX_TIME

    public static final java.lang.String PROP_PNG_MAX_TIME

### PROP_QTM_CNT

    public static final java.lang.String PROP_QTM_CNT

### PROP_QTM_AVG_SIZE

    public static final java.lang.String PROP_QTM_AVG_SIZE

### PROP_QTM_AVG_TIME

    public static final java.lang.String PROP_QTM_AVG_TIME

### PROP_QTM_MAX_SIZE

    public static final java.lang.String PROP_QTM_MAX_SIZE

### PROP_QTM_MAX_TIME

    public static final java.lang.String PROP_QTM_MAX_TIME

### PROP_THREAD_COUNT

    public static final java.lang.String PROP_THREAD_COUNT

### PROP_MAX_THREADS

    public static final java.lang.String PROP_MAX_THREADS

### PROP_TIMEOUT

    public static final java.lang.String PROP_TIMEOUT

### PROP_DISABLE_REQUESTS

    public static final java.lang.String PROP_DISABLE_REQUESTS

### PROP_CUR_JOB_COUNT

    public static final java.lang.String PROP_CUR_JOB_COUNT

### kReportKey

    public static final java.lang.String kReportKey

### kReportDebug

    public static final java.lang.String kReportDebug

### _fld026F

    java.util.Random _fld026F

Constructor Detail

### GenAdmin

    public GenAdmin()

Method Detail

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest httpservletrequest,
                      javax.servlet.http.HttpServletResponse httpservletresponse)
               throws javax.servlet.ServletException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

### getLastModified

    public long getLastModified(javax.servlet.http.HttpServletRequest httpservletrequest)

  Overrides:
    `getLastModified` in class `javax.servlet.http.HttpServlet`

### init

    public void init(javax.servlet.ServletConfig servletconfig)
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD